Name:		pipebench
Version:	0.40
Release:	3%{?dist}
Summary:	Measures the speed of STDIN/STDOUT communication

Group:		Development/Tools
License:	GPLv2+
URL:		http://www.habets.pp.se/synscan/programs.php?prog=pipebench

Source0:	ftp://ftp.habets.pp.se/pub/synscan/%{name}-%{version}.tar.gz

## From: http://www.gnu.org/licenses/gpl-2.0.txt
Source1: 	%{name}-GPLv2.txt

%description
Measures the speed of a pipe, by sitting in the middle passing the data along
to the next process. See the included README for example usage.


%prep
%setup -q
## Update the included LICENSE file to match the current FSF GPLv2 text.
## (Fixes the FSF address and updates the "GNU Library GPL" references to "GNU
## Lesser GPL.") Submitted to upstream via email (2011-08-24).
install -D -m 0644 %{SOURCE1} LICENSE

## Fix the Makefile; taken from the Gentoo ebuild and modified slightly.
sed -i Makefile \
	-e 's:CFLAGS=-Wall:CFLAGS+= -Wall:' \
	-e 's:$(CFLAGS) -o:$(LDFLAGS) &:g' \
	-e 's:/usr/local/bin/:$(DESTDIR)%{_bindir}:' \
	-e 's:/usr/local/man/man1/:$(DESTDIR)%{_mandir}/man1:'


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
## Create the necessary filesystem skeleton.
mkdir -m 755 -p %{buildroot}%{_bindir}
mkdir -m 755 -p %{buildroot}%{_mandir}/man1
make install DESTDIR=%{buildroot}


%files
%doc LICENSE README
%{_bindir}/pipebench
%{_mandir}/man?/pipebench.*


%changelog
* Thu Aug 25 2011 Peter Gordon <peter@thecodergeek.com> - 0.40-3
- Remove GPLv2 patch; instead just upload it as an additional Source file.
  - fix-GPLv2.diff
  + GPLv2.txt

* Wed Aug 24 2011 Peter Gordon <peter@thecodergeek.com> - 0.40-2
- Fix description (capitalize "STDIN/STDOUT").
- Add patch to update included GPLv2 text to current FSF address
  and wording.
  + fix-GPLv2.diff

* Sat Aug 13 2011 Peter Gordon <peter@thecodergeek.com> - 0.40-1
- Initial Fedora package creation.
